ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsCam__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__CamReq (const LibItsCam__TestSystem::CamReq &p_camReq)
INTEGER | fx__dec__CamReq (BITSTRING &b, LibItsCam__TestSystem::CamReq &p)
INTEGER | fx__dec__CamInd (BITSTRING &b, LibItsCam__TestSystem::CamInd &p_camInd)
BITSTRING | fx__enc__CAM (const CAM__PDU__Descriptions::CAM &p_cam)
INTEGER | fx__dec__CAM (BITSTRING &b, CAM__PDU__Descriptions::CAM &p)
BITSTRING | fx__enc__UtCamInitialize (const LibItsCam__TypesAndValues::UtCamInitialize &p_utCamInitialize)
BITSTRING | fx__enc__UtCamChangePosition (const LibItsCam__TypesAndValues::UtCamChangePosition &p_utCamChangePosition)
BITSTRING | fx__enc__UtCamTrigger (const LibItsCam__TypesAndValues::UtCamTrigger &p_utCamTrigger)
INTEGER | fx__dec__UtCamResults (BITSTRING &b, LibItsCam__TypesAndValues::UtCamResults &p)
INTEGER | fx__dec__UtCamEventInd (BITSTRING &b, LibItsCam__TypesAndValues::UtCamEventInd &p)

## Function Documentation

## ◆ fx__dec__CAM()

INTEGER LibItsCam__EncdecDeclarations::fx__dec__CAM | ( | BITSTRING & | b,
|  | CAM__PDU__Descriptions::CAM & | p
| ) |  |

## ◆ fx__dec__CamInd()

INTEGER LibItsCam__EncdecDeclarations::fx__dec__CamInd | ( | BITSTRING & | b,
|  | LibItsCam__TestSystem::CamInd & | p_camInd
| ) |  |

## ◆ fx__dec__CamReq()

INTEGER LibItsCam__EncdecDeclarations::fx__dec__CamReq | ( | BITSTRING & | b,
|  | LibItsCam__TestSystem::CamReq & | p
| ) |  |

## ◆ fx__dec__UtCamEventInd()

INTEGER LibItsCam__EncdecDeclarations::fx__dec__UtCamEventInd | ( | BITSTRING & | b,
|  | LibItsCam__TypesAndValues::UtCamEventInd & | p
| ) |  |

## ◆ fx__dec__UtCamResults()

INTEGER LibItsCam__EncdecDeclarations::fx__dec__UtCamResults | ( | BITSTRING & | b,
|  | LibItsCam__TypesAndValues::UtCamResults & | p
| ) |  |

## ◆ fx__enc__CAM()

BITSTRING LibItsCam__EncdecDeclarations::fx__enc__CAM | ( | const CAM__PDU__Descriptions::CAM & | p_cam | ) |

## ◆ fx__enc__CamReq()

BITSTRING LibItsCam__EncdecDeclarations::fx__enc__CamReq | ( | const LibItsCam__TestSystem::CamReq & | p_camReq | ) |

## ◆ fx__enc__UtCamChangePosition()

BITSTRING LibItsCam__EncdecDeclarations::fx__enc__UtCamChangePosition | ( | const LibItsCam__TypesAndValues::UtCamChangePosition & | p_utCamChangePosition | ) |

## ◆ fx__enc__UtCamInitialize()

BITSTRING LibItsCam__EncdecDeclarations::fx__enc__UtCamInitialize | ( | const LibItsCam__TypesAndValues::UtCamInitialize & | p_utCamInitialize | ) |

## ◆ fx__enc__UtCamTrigger()

BITSTRING LibItsCam__EncdecDeclarations::fx__enc__UtCamTrigger | ( | const LibItsCam__TypesAndValues::UtCamTrigger & | p_utCamTrigger | ) |